%define		file_version	%(echo %{version} | tr . _)
Summary:	A simple, small, C++ XML parser
Summary(pl.UTF-8):	Prosty, mały, napisany w C++ parser XML
Name:		tinyxml
Version:	2.6.2
Release:	5
License:	zlib
Group:		Libraries
Source0:	http://downloads.sourceforge.net/tinyxml/%{name}_%{file_version}.tar.gz
# Source0-md5:	c1b864c96804a10526540c664ade67f0
Patch0:		%{name}-flags.patch
Patch1:		enforce-use-stl.patch
URL:		http://www.grinninglizard.com/tinyxml/
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TinyXML is a simple, small, C++ XML parser that can be easily
integrating into other programs.

%description -l pl.UTF-8
TinyXML to prosty, mały, napisany w C++ parser XML, który może być w
łatwy sposób integrowany z innymi programami.

%package devel
Summary:	Header files for tinyxml library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tinyxml
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for tinyxml library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tinyxml.

%package static
Summary:	Static tinyxml library
Summary(pl.UTF-8):	Statyczna biblioteka tinyxml
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static tinyxml library.

%description static -l pl.UTF-8
Statyczna biblioteka tinyxml.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	LD="%{__cxx}" \
	OPTFLAGS="%{rpmcppflags} %{rpmcxxflags} -DTIXML_USE_STL" \
	LDFLAGS="%{rpmldflags}"

# Not really designed to be built as lib
for i in tinyxml.cpp tinystr.cpp tinyxmlerror.cpp tinyxmlparser.cpp; do
	libtool --tag=CXX --mode=compile \
		%{__cxx} %{rpmcppflags} %{rpmcxxflags} -DTIXML_USE_STL -o $i.lo -c $i
done
libtool --tag=CXX --mode=link \
	%{__cxx} %{rpmcxxflags} %{rpmldflags} \
	-rpath %{_libdir} -version-info 0:0:0 \
	-o libtinyxml.la *.cpp.lo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

cp -a xmltest $RPM_BUILD_ROOT%{_bindir}
cp -a tiny*.h $RPM_BUILD_ROOT%{_includedir}
libtool --mode=install %{__install} libtinyxml.la $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc changes.txt readme.txt
%attr(755,root,root) %{_bindir}/xmltest
%attr(755,root,root) %{_libdir}/libtinyxml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtinyxml.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtinyxml.so
%{_libdir}/libtinyxml.la
%{_includedir}/tinystr.h
%{_includedir}/tinyxml.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtinyxml.a
%changelog
* Sun Oct 21 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tinyxml.git;a=log;h=master

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> a588385
- rebuild to fix broken filedigests
- release 5 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 4cded47
- rebuild with fixed rpm macros
- release 4 (by relup.sh)

* Sun May 20 2012 Elan Ruusamäe <glen@pld-linux.org> e719747
- enforce-use-stl.patch patch from debian

* Sat May 19 2012 Artur Frysiak <artur@frysiak.net> cce564d
- enable STL API
- rel. 2

* Thu Jun 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 5bd7664
- updated to 2.6.2
- package static library
- -devel R: libstdc++-devel

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> f858ab8
- package libtinyxml.la and libtinyxml.so.0 as ghost

* Mon Dec 06 2010 sparky <sparky@pld-linux.org> 1f2ac6d
- cleanups

* Mon Dec 06 2010 sparky <sparky@pld-linux.org> 8ab9ff6
- use libtool to build library, use 0:0:0 as its version
- BR: libstdc++-devel, libtool

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> c555a02
- one more fix

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 0490d0c
- cosmetics

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> b448903
- one more header

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 7fbd5a5
- zlib license

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 26427ba
- use our CXXFLAGS, drop -O3

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> bbc6e9d
- added to PLD

